public class PizzaBezahlen {
  public static double michaelBezahlt(double kosten) {
    double michaelBezahlt=0;
    if (kosten<5) {
      michaelBezahlt=kosten;
    } else {
      double karinBezahlt=kosten/3;
      if (karinBezahlt>10) {
         karinBezahlt=10;
      }
      michaelBezahlt=kosten-karinBezahlt;
    }
    michaelBezahlt=(int)(michaelBezahlt*100+0.5)/100.0;
    return michaelBezahlt;
  }

  public static void main(String[] args) {
     double michael = michaelBezahlt(10);
     System.out.println(michael);
  }
}